---
- name: Create the install-node CA config directory
  ansible.builtin.file:
    path: /etc/install-node/ca/
    owner: root
    group: root
    mode: 0770
    state: directory

- name: Create the private key for the install-node CA
  community.crypto.openssl_privatekey:
    path: /etc/install-node/ca/private-ca.key
    mode: 0400
    owner: root
    group: root

- name: Create the CSR for the install-node CA
  community.crypto.openssl_csr:
    path: /etc/install-node/ca/request-ca.csr
    privatekey_path: /etc/install-node/ca/private-ca.key
    subject:
      C: DE
      O: Cloud&Heat GmbH
      OU: Offline Installation
      CN: CA
    basic_constraints: ['CA:TRUE', 'pathlen:0']
    basic_constraints_critical: true
    create_subject_key_identifier: true
    mode: 0400
    owner: root
    group: root

- name: Create the certificate for the install-node CA
  community.crypto.x509_certificate:
    path: /etc/install-node/ca/ca.crt
    privatekey_path: /etc/install-node/ca/private-ca.key
    csr_path: /etc/install-node/ca/request-ca.csr
    provider: selfsigned
    mode: 0444
    owner: root
    group: root

- name: Fetch the CA certificate
  ansible.builtin.fetch:
    src: /etc/install-node/ca/ca.crt
    dest: "{{ etc_dir }}/install-node-mirror-ca.pem"
    flat: true
...
